%global _use_internal_dependency_generator 0

%global tl_version 20180414
%global tl_epoch 7
%global shortname texlive
%global source_name %{shortname}-%{tl_version}-source

%{!?_texdir: %global _texdir %{_datadir}/texlive}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

# don't export private perl modules
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre)\\)

%global _configure ../configure

%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

# don't figure any perl requires
%global __perl_requires %{nil}
%global __find_provides %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%global __arch_install_post %{nil}

Name: texlive-extension
Version: %{tl_version}
Release: 5%{?dist}
Epoch: %{tl_epoch}
Summary: TeX formatting system
Group: Applications/Publishing
License: Artistic 2.0 and GPLv2 and GPLv2+ and LGPLv2+ and LPPL and MIT and Public Domain and UCD and Utopia
URL: http://tug.org/texlive/

BuildRequires: xz
BuildRequires: libXaw-devel
BuildRequires: libXi-devel
BuildRequires: ncurses-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: file
BuildRequires: perl(Digest::MD5)
BuildRequires: texinfo
BuildRequires: gcc-c++
BuildRequires: gd-devel
BuildRequires: make
%if 0%{?system_teckit}
BuildRequires: teckit-devel >= 2.5.7
%endif
BuildRequires: freetype-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: poppler-devel
BuildRequires: zziplib-devel
BuildRequires: libicu-devel
BuildRequires: cairo-devel
BuildRequires: harfbuzz-devel
BuildRequires: perl-generators
BuildRequires: pixman-devel
BuildRequires: graphite2-devel
BuildRequires: ghostscript-devel
BuildRequires: libpaper-devel
%if 0%{?system_potrace}
BuildRequires: potrace-devel
%endif
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gmp-devel
BuildRequires: mpfr-devel
BuildRequires: chrpath

Source0: ftp://tug.org/historic/systems/texlive/2018/%{source_name}.tar.xz
Source1: texlive-licenses.tar.xz
# chktex
Source50: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/chktex.doc.tar.xz
Source51: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/chktex.tar.xz
# ps2eps
Source274: ftp://tug.org/historic/systems/texlive/2019/tlnet-final/archive/ps2eps.doc.tar.xz
Source275: ftp://tug.org/historic/systems/texlive/2019/tlnet-final/archive/ps2eps.tar.xz
# auto-pst-pdf
Source421: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/auto-pst-pdf.tar.xz
Source422: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/auto-pst-pdf.doc.tar.xz
# ifplatform
Source4295: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ifplatform.tar.xz
Source4296: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ifplatform.doc.tar.xz
# bibunits
Source825: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/bibunits.tar.xz
Source826: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/bibunits.doc.tar.xz
# emulateapj
Source3829: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/emulateapj.tar.xz
Source3830: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/emulateapj.doc.tar.xz
# ocgx2
Source4827: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ocgx2.tar.xz
Source4828: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ocgx2.doc.tar.xz
# revtex4
Source6502: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/revtex4.tar.xz
Source6503: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/revtex4.doc.tar.xz
# glossaries
Source4165: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-english.tar.xz
Source4166: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-english.doc.tar.xz
Source4168: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-french.tar.xz
Source4169: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-french.doc.tar.xz
Source4171: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-german.tar.xz
Source4172: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/glossaries-german.doc.tar.xz
# sidecap
Source5228: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/sidecap.tar.xz
Source5229: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/sidecap.doc.tar.xz
# media9
Source4588: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/media9.tar.xz
Source4589: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/media9.doc.tar.xz
# German language support
Source0489: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/babel-german.tar.xz
Source0490: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/babel-german.doc.tar.xz
Source2753: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/german.tar.xz
Source2754: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/german.doc.tar.xz
Source2756: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/germbib.tar.xz
Source2757: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/germbib.doc.tar.xz
Source4788: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/nomencl.tar.xz
Source4789: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/nomencl.doc.tar.xz
# ucharcat
Source5821: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ucharcat.tar.xz
Source5822: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/ucharcat.doc.tar.xz
# translator
Source8032: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/translator.tar.xz
Source8033: ftp://tug.org/historic/systems/texlive/2018/tlnet-final/archive/translator.doc.tar.xz

Patch1: tl-kpfix.patch
Patch2: tl-format.patch
Patch3: texlive-20180414-selinux-context.patch
Patch5: texlive-2016-kpathsea-texlive-path.patch
# fixes from arch and upstream texlive for poppler 0.6x
Patch7: texlive-20180414-new-poppler.patch
# XML validity
Patch8: texlive-20180414-xml.patch
# python3 support and mangling shebang
Patch9: texlive-2017-python3.patch
# fix for poppler-0.63
Patch10: texlive-20180414-poppler-0.63.patch
# annocheck distro flag failures
Patch11: texlive-20180414-annocheck.patch
# CVE-2018-17407
Patch12: texlive-20180414-CVE-2018-17407.patch
# covscan
Patch13: texlive-20180414-covscan.patch

%description
%name includes many texlive extension which are dropped in RHEL

%package -n %{shortname}-chktex
Provides: tex-chktex = %{epoch}:%{tl_version}-%{release}
Provides: texlive-chktex-bin = %{epoch}:%{tl_version}-%{release}
Provides: tex-chktex-bin = %{epoch}:%{tl_version}-%{release}
Obsoletes: texlive-chktex-bin < 7:20170520
Provides: tex-chktex-doc = %{epoch}:%{tl_version}-%{release}
Provides: texlive-chktex-doc = %{epoch}:%{tl_version}-%{release}
Obsoletes: texlive-chktex-doc < 7:20170520
License: GPL+
Summary: Check for errors in LaTeX documents
Requires: texlive-base
Requires: texlive-kpathsea

%description -n %{shortname}-chktex
The program reports typographic and other errors in LaTeX
documents. Filters are also provided for checking the LaTeX
parts of CWEB documents.

%package -n %{shortname}-lacheck
Provides: tex-lacheck = %{epoch}:%{tl_version}-%{release}
Provides: texlive-lacheck-bin = %{epoch}:%{tl_version}-%{release}
Provides: tex-lacheck-bin = %{epoch}:%{tl_version}-%{release}
Obsoletes: texlive-lacheck-bin < 7:20170520
License: GPL+
Summary: LaTeX checker
Requires: texlive-base
Requires: texlive-kpathsea

%description -n %{shortname}-lacheck
Lacheck is a tool for finding common mistakes in LaTeX
documents. The distribution includes sources, and executables
for OS/2 and Win32 environments.

%package -n %{shortname}-babel-german
Provides: tex-babel-german = %{tl_version}
License: LPPL 1.3
Summary: Babel support for documents written in German
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(austrian.ldf) = %{tl_version}
Provides: tex(german.ldf) = %{tl_version}
Provides: tex(germanb.ldf) = %{tl_version}
Provides: tex(naustrian.ldf) = %{tl_version}
Provides: tex(ngerman.ldf) = %{tl_version}
Provides: tex(ngermanb.ldf) = %{tl_version}
Provides: tex(nswissgerman.ldf) = %{tl_version}
Provides: tex(swissgerman.ldf) = %{tl_version}

%description -n %{shortname}-babel-german
The package defines LaTeX support, within the Babel package, of
German (including its Austrian dialect), in both 'old' and
'new' orthographies.

%package -n %{shortname}-german
Provides: tex-german = %{tl_version}
License: LPPL
Summary: Support for German typography
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(german.sty) = %{tl_version}
Provides: tex(ngerman.sty) = %{tl_version}

%description -n %{shortname}-german
Supports the new German orthography (neue deutsche
Rechtschreibung).

%package -n %{shortname}-germbib
Provides: tex-germbib = %{tl_version}
License: Bibtex
Summary: German variants of standard BibTeX styles
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(german.sty)
Provides: tex(bibgerm.sty) = %{tl_version}
Provides: tex(mynormal.sty) = %{tl_version}

%description -n %{shortname}-germbib
A development of the (old) german.sty, this bundle provides
German packages, BibTeX styles and documentary examples, for
writing documents with bibliographies. The author has since
developed the babelbib bundle, which (he asserts) supersedes
germbib.


%package -n %{shortname}-nomencl
Provides: tex-nomencl = %{tl_version}
License: LPPL
Summary: Produce lists of symbols as in nomenclature
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(nomencl.sty) = %{tl_version}
Provides: tex(sample01.cfg) = %{tl_version}
Provides: tex(sample02.cfg) = %{tl_version}
Provides: tex(sample04.cfg) = %{tl_version}
Provides: tex(sample05.cfg) = %{tl_version}

%description -n %{shortname}-nomencl
Produces lists of symbols using the capabilities of the
MakeIndex program.

%package -n %{shortname}-translator
Summary: Easy translation of strings in LaTeX
BuildArch: noarch
License: LPPL or GPL+
Requires: texlive-base texlive-kpathsea
Requires: tex(keyval.sty)
Provides: tex(translator.sty) = %{tl_version}

%description -n %{shortname}-translator
This LaTeX package provides a flexible mechanism for
translating individual words into different languages. For
example, it can be used to translate a word like "figure" into,
say, the German word "Abbildung". Such a translation mechanism
is useful when the author of some package would like to
localize the package such that texts are correctly translated
into the language preferred by the user. This package is not
intended to be used to automatically translate more than a few
words.

%package -n %{shortname}-ucharcat
Summary: Implementation of the (new in 2015) XeTeX \Ucharcat command in lua, for LuaTeX
BuildArch: noarch
License: LPPL
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ucharcat.sty) = %{tl_version}
Provides: tex-ucharcat = %{tl_version}

%description -n %{shortname}-ucharcat
The package implements the \Ucharcat command for LuaLaTeX.
\Ucharcat is a new primitive in XeTeX, an extension of the
existing \Uchar command, that allows the specification of the
catcode as well as character code of the character token being
constructed.

%package -n %{shortname}-ps2eps
Provides: tex-ps2eps = %{tl_version}
License: GPL+
Summary: Produce Encapsulated PostScript from PostScript
Requires: texlive-base
Requires: texlive-kpathsea

%description -n %{shortname}-ps2eps
Produce Encapsulated PostScript Files (EPS/EPSF) from a
one-page PostScript document, or any PostScript document. A
correct Bounding Box is calculated for the EPS files and some
PostScript command sequences that can produce erroneous
results on printers are filtered. The input is cropped to
include just the image contained in the PostScript file. The
EPS files can then be included into TeX documents. Other
programs like ps2epsi (a script distributed with ghostscript)
don't always calculate the correct bounding box (because the
values are put on the PostScript stack which may get corrupted
by bad PostScript code) or they round it off, resulting in
clipping the image. Therefore ps2eps uses a resolution of 144
dpi to get the correct bounding box. Included in the distribution
is the bbox program, an application to produce Bounding Box values
for rawppm or rawpbm format files.

%package -n %{shortname}-auto-pst-pdf
Provides: tex-auto-pst-pdf = %{tl_version}
License: LPPL
Summary: Wrapper for pst-pdf (with some psfrag features)
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-ifplatform
Requires: texlive-iftex
Requires: texlive-xkeyval
Provides: tex(auto-pst-pdf.sty) = %{tl_version}

%description -n %{shortname}-auto-pst-pdf
The package uses --shell-escape to execute pst-pdf when
necessary. This makes it especially easy to integrate into the
workflow of an editor with just "LaTeX" and "pdfLaTeX" buttons.
Wrappers are provided for various psfrag-related features so
that Matlab figures via laprint, Mathematica figures via
MathPSfrag, and regular psfrag figures can all be input
consistently and easily.

%package -n %{shortname}-ifplatform
Provides: tex-ifplatform = %{tl_version}
License: LPPL
Summary: Conditionals to test which platform is being used
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pdftexcmds.sty)
Requires: tex(catchfile.sty)
Requires: tex(ifluatex.sty)
Provides: tex(ifplatform.sty) = %{tl_version}

%description -n %{shortname}-ifplatform
This package uses the (La)TeX extension -shell-escape to
establish whether the document is being processed on a Windows
or on a Unix-like system (Mac OS X, Linux, etc.), or on Cygwin
(Unix environment over a windows system). Booleans provided
are: \ifwindows, \iflinux, \ifmacosx and \ifcygwin. The package
also preserves the output of uname on a Unix-like system, which
may be used to distinguish between various classes of Unix
systems.

%package -n %{shortname}-bibunits
Provides: tex-bibunits = %{tl_version}
License: LPPL
Summary: Multiple bibliographies in one document
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(bibunits.sty) = %{tl_version}

%description -n %{shortname}-bibunits
The package provide a mechanism to generate separate
bibliographies for different units (chapters, sections or
bibunit-environments) of a text. The package separates the
citations of each unit of text into a separate file to be
processed by BibTeX. The global bibliography section produced
by LaTeX may also appear in the document and citations can be
placed in both the local unit and the global bibliographies at
the same time. The package is compatible with koma-script and
with the babel French option frenchb.

%package -n %{shortname}-emulateapj
Provides: tex-emulateapj = %{tl_version}
License: LPPL
Summary: Produce output similar to that of APJ
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(latexsym.sty)
Requires: tex(graphicx.sty)
Requires: tex(amssymb.sty)
Requires: tex(longtable.sty)
Requires: tex(epsf.sty)
Provides: tex(emulateapj.cls) = %{tl_version}

%description -n %{shortname}-emulateapj
A LaTeX class (based on current RevTeX) to produce preprints
with the page layout similar to that of the Astrophysical
Journal.

%package -n %{shortname}-revtex4
Provides: tex-revtex4 = %{tl_version}
License: LPPL
Summary: revtex4 package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(amsfonts.sty)
Requires: tex(amssymb.sty)
Requires: tex(amsmath.sty)
Requires: tex(url.sty)
Requires: tex(natbib.sty)
Provides: tex(docs.sty) = %{tl_version}
Provides: tex(revsymb.sty) = %{tl_version}
Provides: tex(revtex4.cls) = %{tl_version}

%description -n %{shortname}-revtex4
revtex4 package

%package -n %{shortname}-glossaries-english
Provides: tex-glossaries-english = %{tl_version}
License: LPPL 1.3
Summary: English language module for glossaries package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(glossaries-english.ldf) = %{tl_version}

%description -n %{shortname}-glossaries-english
English language module for glossariesr package.

%package -n %{shortname}-glossaries-french
Provides: tex-glossaries-french = %{tl_version}
License: LPPL 1.3
Summary: French language module for glossaries package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(glossaries-french.ldf) = %{tl_version}

%description -n %{shortname}-glossaries-french
French language module for glossaries package.

%package -n %{shortname}-glossaries-german
Provides: tex-glossaries-german = %{tl_version}
License: LPPL 1.3
Summary: German language module for glossaries package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(glossaries-german.ldf) = %{tl_version}

%description -n %{shortname}-glossaries-german
German language module for glossariesr package.

%package -n %{shortname}-sidecap
Provides: tex-sidecap = %{tl_version}
License: LPPL
Summary: Typeset captions sideways
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(ragged2e.sty)
Provides: tex(sidecap.sty) = %{tl_version}

%description -n %{shortname}-sidecap
Defines environments called SCfigure and SCtable (analogous to
figure and table) to typeset captions sideways. Options include
outercaption, innercaption, leftcaption and rightcaption.

%package -n %{shortname}-media9
Provides: tex-media9 = %{tl_version}
License: LPPL 1.3
Summary: Multimedia inclusion package with Adobe Reader-9/X compatibility
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(xparse.sty)
Requires: tex(ifpdf.sty)
Requires: tex(atbegshi.sty)
Requires: tex(atenddvi.sty)
Requires: tex(tikz.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(ocgbase.sty)
Provides: tex(media9.sty) = %{tl_version}
Provides: tex(pdfbase.sty) = %{tl_version}
Provides: texlive-movie15 = %{tl_version}

%description -n %{shortname}-media9
The package provides an interface to embed interactive Flash
(SWF) and 3D objects (Adobe U3D & PRC), as well as video and
sound files or streams in the popular MP4, FLV and MP3 formats
into PDF documents with Acrobat-9/X compatibility. Playback of
multimedia files uses the built-in Flash Player of Adobe Reader
and does, therefore, not depend on external plug-ins. Flash
Player supports the efficient H.264 codec for video
compression. The package is based on the RichMedia Annotation,
an Adobe addition to the PDF specification. It replaces the now
obsolete movie15 package.

%package -n %{shortname}-ocgx2
Provides: tex-ocgx2 = %{tl_version}
License: LPPL 1.3
Summary: Drop-in replacement for the 'ocgx' package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(xparse.sty)
Requires: tex(atenddvi.sty)
Requires: tex(ifpdf.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(media9.sty)
Requires: tex(tikz.sty)
Provides: tex(fixocgx.sty) = %{tl_version}
Provides: tex(ocgx2.sty) = %{tl_version}
Provides: tex(ocgbase.sty) = %{tl_version}

%description -n %{shortname}-ocgx2
This package serves as a drop-in replacement for the packages
ocgx by Paul Gaborit and ocg-p by Werner Moshammer for the
creation of PDF Layers. It re-implements the functionality of
the ocg, ocgx, and ocg-p packages and adds support for all
known engines and back-ends including: LaTeX - dvips -
ps2pdf/Distiller (Xe)LaTeX(x) - dvipdfmx pdfLaTeX and LuaLaTeX
. It also ensures compatibility with the media9 and animate
packages.

%prep
%setup -q -c -T -a 0 -a 1
[ -e %{source_name} ] && mv %{source_name} source
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch5 -p0
%if 0%{?fedora} >= 28 || 0%{?rhel} >= 8
%patch7 -p1 -b .newpoppler
%patch10 -p1 -b .poppler-0.63.0
%endif
%patch11 -p1 -b .annocheck
%patch12 -p1
%patch13 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Werror=format-security"
export CXXFLAGS="$RPM_OPT_FLAGS -std=c++11 -fno-strict-aliasing -Werror=format-security"
export LDFLAGS="%{build_ldflags}"
cd source
PREF=`pwd`/inst
mkdir -p work
cd work
%configure \
   --prefix=$PREF --datadir=$PREF \
   --libdir=$PREF/lib \
   --includedir=$PREF/include \
   --datarootdir=$PREF/share \
   --mandir=$PREF/share/man \
   --infodir=$PREF/share/info \
   --exec_prefix=$PREF \
   --bindir=$PREF/bin \
   --with-system-zlib \
   --with-system-libpng \
   --with-system-xpdf \
   --with-system-gd \
%if 0%{?system_teckit}
   --with-system-teckit \
%endif
   --with-system-freetype2 \
   --with-system-poppler \
   --with-system-zziplib \
   --with-system-cairo \
   --with-system-icu \
   --with-system-harfbuzz \
   --with-system-graphite2 \
   --with-system-libgs \
   --with-system-pixman \
   --with-system-libpaper \
%if 0%{?system_potrace}
   --with-system-potrace \
%endif
   --with-pic \
   --with-xdvi-x-toolkit=xaw \
   --with-system-mpfr \
   --with-system-gmp \
   --disable-xindy \
   --disable-xindy-docs \
   --disable-xindy-make-rules \
   --enable-shared \
   --enable-compiler-warnings=max \
   --without-cxx-runtime-hack \
   --disable-native-texlive-build \
   --disable-t1utils \
   --disable-t1lib \
   --disable-psutils \
   --disable-biber \
   --disable-ptexenc \
   --disable-largefile \
   %ifarch aarch64 %{mips} %{power64} s390 s390x
   --disable-luajittex \
   --disable-mfluajit \
   %endif
   --disable-rpath

# disable rpath
for i in `find . -name libtool`; do
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' $i
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' $i
done

make world %{?_smp_mflags} STRIPPROG=/bin/true STRIP=/bin/true

%install
# create directory tree
mkdir -p %{buildroot}%{_texdir}/../texmf
mkdir -p %{buildroot}%{_texdir}/texmf-config/web2c
mkdir -p %{buildroot}%{_texmf_var}
mkdir -p %{buildroot}%{_texdir}/texmf-dist
mkdir -p %{buildroot}%{_texdir}/texmf-local

# install lacheck and chktex bbox ps2eps
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
for f in lacheck chktex chkweb deweb ps2eps bbox; do
install -m 755 source/inst/bin/$f %{buildroot}%{_bindir}
install -m 644 source/inst/share/man/man1/$f*  %{buildroot}%{_mandir}/man1/
done

# extract sources
# chktex
xz -dc %{SOURCE50} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE51} | tar x -C %{buildroot}%{_texdir}/
# babel-german
xz -dc %{SOURCE489} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# german
xz -dc %{SOURCE2753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# germbib
xz -dc %{SOURCE2756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# nomencl
xz -dc %{SOURCE4788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4789} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ucharcat
xz -dc %{SOURCE5821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# translator
xz -dc %{SOURCE8032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ps2eps
xz -dc %{SOURCE274} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE275} | tar x -C %{buildroot}%{_texdir}/
# auto-pst-pdf
xz -dc %{SOURCE421} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ifplatform
xz -dc %{SOURCE4295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# bibunits
xz -dc %{SOURCE825} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE826} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# emulateapj
xz -dc %{SOURCE3829} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3830} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ocgx2
xz -dc %{SOURCE4827} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4828} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# revtex4
xz -dc %{SOURCE6502} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# glossaries
xz -dc %{SOURCE4165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4166} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4169} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4172} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# sidecap
xz -dc %{SOURCE5228} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# media9
xz -dc %{SOURCE4588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4589} | tar x -C %{buildroot}%{_texdir}/texmf-dist

# nuke useless tlmgr packaging stuff and doc droppings
rm -rf %{buildroot}%{_texdir}/tlpkg
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/info
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr*
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlcockpit-packages.png
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlshell-macos.png

# Also nuke any sources that come out
rm -rf %{buildroot}%{_texdir}/texmf-dist/source

%files -n %{shortname}-chktex
%license gpl.txt
%{_bindir}/chktex
%{_bindir}/chkweb
%{_bindir}/deweb
%{_mandir}/man1/chktex.1*
%{_mandir}/man1/chkweb.1*
%{_mandir}/man1/deweb.1*
%{_texdir}/texmf-dist/chktex/
%{_texdir}/texmf-dist/scripts/chktex/
%doc %{_texdir}/texmf-dist/doc/chktex/

%files -n %{shortname}-lacheck
%license gpl.txt
%{_bindir}/lacheck
%{_mandir}/man1/lacheck.1*

%files -n %{shortname}-babel-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-german/
%doc %{_texdir}/texmf-dist/doc/generic/babel-german/

%files -n %{shortname}-german
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/german/
%doc %{_texdir}/texmf-dist/doc/generic/german/

%files -n %{shortname}-germbib
%{_texdir}/texmf-dist/bibtex/bst/germbib/
%{_texdir}/texmf-dist/tex/latex/germbib/
%doc %{_texdir}/texmf-dist/doc/bibtex/germbib/

%files -n %{shortname}-nomencl
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/nomencl/
%{_texdir}/texmf-dist/tex/latex/nomencl/
%doc %{_texdir}/texmf-dist/doc/latex/nomencl/

%files -n %{shortname}-translator
%license lppl1.3.txt
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/translator/
%doc %{_texdir}/texmf-dist/doc/latex/translator/

%files -n %{shortname}-ucharcat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ucharcat/
%doc %{_texdir}/texmf-dist/doc/latex/ucharcat/

%files -n %{shortname}-ps2eps
%license gpl.txt
%{_bindir}/bbox
%{_bindir}/ps2eps
%{_mandir}/man1/bbox.1*
%{_mandir}/man1/ps2eps.1*
%{_texdir}/texmf-dist/scripts/ps2eps/

%files -n %{shortname}-auto-pst-pdf
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/auto-pst-pdf/
%{_texdir}/texmf-dist/doc/latex/auto-pst-pdf/

%files -n %{shortname}-ifplatform
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifplatform/
%{_texdir}/texmf-dist/doc/latex/ifplatform/

%files -n %{shortname}-bibunits
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/bibunits/
%{_texdir}/texmf-dist/doc/latex/bibunits/

%files -n %{shortname}-emulateapj
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/emulateapj/
%{_texdir}/texmf-dist/doc/latex/emulateapj/

%files -n %{shortname}-revtex4
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/revtex4/
%{_texdir}/texmf-dist/bibtex/bst/revtex4/
%{_texdir}/texmf-dist/tex/latex/revtex4/
%{_texdir}/texmf-dist/doc/latex/revtex4/

%files -n %{shortname}-glossaries-english
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-english/
%{_texdir}/texmf-dist/doc/latex/glossaries-english/

%files -n %{shortname}-glossaries-french
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-french/
%{_texdir}/texmf-dist/doc/latex/glossaries-french/

%files -n %{shortname}-glossaries-german
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/glossaries-german/
%{_texdir}/texmf-dist/doc/latex/glossaries-german/

%files -n %{shortname}-sidecap
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sidecap/
%{_texdir}/texmf-dist/doc/latex/sidecap/

%files -n %{shortname}-media9
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/media9/
%{_texdir}/texmf-dist/doc/latex/media9/

%files -n %{shortname}-ocgx2
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/ocgx2/
%{_texdir}/texmf-dist/doc/latex/ocgx2/

%changelog
* Thu Jul 16 2020 Than Ngo <than@redhat.com> - 20180414-5
- fixed #1849822, added various LaTeX components

* Wed Jul 15 2020 Than Ngo <than@redhat.com> - 20180414-4
- fixed #1856905, added ucharcat

* Wed May 06 2020 Than Ngo <than@redhat.com> - 20180414-3
- fixed urls

* Fri Feb 28 2020 Than Ngo <than@redhat.com> - 20180414-2
- added lacheck and chktex

* Mon Jan 13 2020 Than Ngo <than@redhat.com> - 20180414-1
- initial rpm for rhel8 
